# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:51 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	IPC
%define	pnam	Session
Summary:	IPC-Session perl module
Summary(pl):	Modu perla IPC-Session
Name:		perl-IPC-Session
Version:	0.05
Release:	2
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
#BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Session encapsulates the open3() function call (see the IPC::Open3
manpage) and its associated filehandles.  This makes it easy to maintain
multiple interactive command sessions, such as multiple persistent 'ssh'
and/or 'rsh' sessions, within the same perl script.

%description -l pl
IPC::Session obudowuje funkcj open3() (zobacz stron podrcznika
systemowego dla IPC::Open3) i zwizane z ni uchwyty plikw. Pozwala to
na atwe zarzdzanie wieloma interaktywnymi sesjami, np. w przypadku
wielu przezroczystych sesji 'ssh' i/lub 'rsh' w jednym skrypcie perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_sitelib}/IPC/Session.pm
%{_mandir}/man3/*.3pm*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-IPC-Session.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:57:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:34:00  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/12 09:58:05  qboosh
- new %%doc and cosmetics

Revision 1.2  2002/07/11 08:31:00  depesz
- tests removed (failed at my box, but the module itself works perfectly)

Revision 1.1  2002/07/11 08:23:03  depesz
- spec supplied by Radoslaw Zielinski
